Index: guiframe/data_panel.py
===================================================================
--- guiframe/data_panel.py	(revision c31fd9f50583271c42fd495a6dfed758a67567d2)
+++ guiframe/data_panel.py	(revision 37e0e5dbdb84006affa75e48f9dcad4a2cfae62f)
@@ -157,16 +157,4 @@
         if self.parent is not None:
             self.parent.Bind(EVT_DELETE_PLOTPANEL, self._on_delete_plot_panel)
-       
-        ## Bypass resetting the scroll position at focusing child
-        self.Bind(wx.EVT_SCROLLWIN_THUMBTRACK, self._scroll_skip)
-        
-    def _scroll_skip(self, event):
-        """
-        Unfocus children when scrolling: This fixes a problem w/wx2.9
-        """
-        # If any children are focused, unfocuse them
-        if self != self.FindFocus():
-            self.SetFocusIgnoringChildren()
-        return
      
     def do_layout(self):
Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision c31fd9f50583271c42fd495a6dfed758a67567d2)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision 37e0e5dbdb84006affa75e48f9dcad4a2cfae62f)
@@ -103,15 +103,4 @@
         self._default_save_location = os.getcwd()
         self._set_bookmark_flag(False)
-        ## Bypass resetting the scroll position at focusing child
-        self.Bind(wx.EVT_SCROLLWIN_THUMBTRACK, self._scroll_skip)
-        
-    def _scroll_skip(self, event):
-        """
-        Unfocus children when scrolling: This fixes a problem w/wx2.9
-        """
-        # If any children are focused, unfocuse them
-        if self != self.FindFocus():
-            self.SetFocusIgnoringChildren()
-        return
     
     def get_data(self):
Index: prview/perspectives/pr/inversion_panel.py
===================================================================
--- prview/perspectives/pr/inversion_panel.py	(revision c31fd9f50583271c42fd495a6dfed758a67567d2)
+++ prview/perspectives/pr/inversion_panel.py	(revision 37e0e5dbdb84006affa75e48f9dcad4a2cfae62f)
@@ -90,15 +90,4 @@
         self._default_width = 350
         self._do_layout()
-        ## Bypass resetting the scroll position at focusing child
-        self.Bind(wx.EVT_SCROLLWIN_THUMBTRACK, self._scroll_skip)
-        
-    def _scroll_skip(self, event):
-        """
-        Unfocus children when scrolling: This fixes a problem w/wx2.9
-        """
-        # If any children are focused, unfocuse them
-        if self != self.FindFocus():
-            self.SetFocusIgnoringChildren()
-        return
         
     def __setattr__(self, name, value):
Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision a66fc950f8490b9270f53cb2085cb96cc3d337dd)
+++ sansview/perspectives/fitting/basepage.py	(revision 37e0e5dbdb84006affa75e48f9dcad4a2cfae62f)
@@ -171,28 +171,8 @@
         ## layout
         self.set_layout()
-        ## Bypass resetting the scroll position at focusing child
-        self.Bind(wx.EVT_SCROLLWIN_THUMBTRACK, self._scroll_skip)
-        
-    def _scroll_skip(self, event):
-        """
-        Unfocus children when scrolling: This fixes a problem w/wx2.9
-        """
-        print "got event"
-        # If any children are focused, unfocuse them
-        if self != self.FindFocus():
-            print "focused",self.FindFocus()
-            #self.FindFocus().SetFocus()
-            #print "got unfocused",self
-            #self.SetFocus()
-            self.SetFocusIgnoringChildren()
-            print "got unfocused1",self.AcceptsFocus(),self
-            
-        return
     
     def on_set_focus(self, event):
         """
         """
-        if event != None:
-            print "type", event.EventObjectType()
         if self._manager is not None:
             wx.PostEvent(self._manager.parent, PanelOnFocusEvent(panel=self))
